* E Posta Adresiniz:
* Kodu Girin:

entmake fonksiyonu-4

entmake ile circle cizmek
shark - 17.12.2005 08:13
Yazar: Derya KILIÇ
İçerik:

(Kontrol panelinizde görünür)
;Fonksiyon Tanımı
(defun circle_ciz(_cm _cr _clyr)
(entmake (list (cons 0 "CIRCLE")
(cons 8 _clyr)
(cons 10 _cm)
(cons 40 _cr)
)
)
)
;Kullanımı :
(setq merkez (list 10 20)
ycap 5
)
(circle_ciz merkez ycap "deneme")
;Açıklama :
;Yukarıdaki kod, merkezi (10,20) noktası olan, 5 birim yarıçapında bir 'CIRCLE' nesnesini 'deneme' isimli layer'da olusturur.
;Not : nesneleri entmake fonksiyonunu kullanarak oluşturmak programa kolaylık ve hız katttğı gibi, örneğin 'OSMODE', 'CLAYER' 'CMDECHO' gibi sistem değişkenlerinden etkilenmediginden, nesneyi cizmeden once bunları ayarlayıp nesneyi çizdikten sonra tekrar eski haline getirmek gibi angaryaları ortadan kaldırır.
Yorumlar :
Henüz yorum yapılmamış
Copyright © 2004-2019 | Tüm Hakları Saklıdır | 1906 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam | İletişim